> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Imports Adjustment Opening Hours for specified stores.



## OpenAPI

````yaml openapi/store-v3.json POST /v3/Stores/adjustments/import
openapi: 3.0.4
info:
  title: StoreApi - V3
  version: v3
servers:
  - url: https://{host}/store
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - oauth2: []
paths:
  /v3/Stores/adjustments/import:
    post:
      tags:
        - Service2Service
      summary: Imports Adjustment Opening Hours for specified stores.
      parameters:
        - name: mode
          in: query
          description: Import mode specifies full import or incremental import.
          schema:
            $ref: '#/components/schemas/ImportMode'
      requestBody:
        description: Collection of Adjustment Opening Hours linked to stores.
        content:
          application/json-patch+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportAdjustOpeningHoursDto'
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportAdjustOpeningHoursDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportAdjustOpeningHoursDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportAdjustOpeningHoursDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '207':
          description: Multi-Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
components:
  schemas:
    ImportMode:
      enum:
        - Incremental
        - Full
      type: string
    S2SImportAdjustOpeningHoursDto:
      required:
        - adjustmentDate
        - closingHour
        - openingHour
        - storeId
      type: object
      properties:
        storeId:
          minLength: 1
          type: string
        openingHour:
          type: string
          example: '00:00:00'
        closingHour:
          type: string
          example: '00:00:00'
        adjustmentDate:
          type: string
          format: date-time
        label:
          type: string
          nullable: true
        isClosedAllDay:
          type: boolean
          nullable: true
        isOpenedAllDay:
          type: boolean
          nullable: true
      additionalProperties: false
    ImportResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WebServiceError'
          nullable: true
      additionalProperties: false
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: apiKey
      name: Authorization
      in: header

````